> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexpaprika.com/llms.txt
> Use this file to discover all available pages before exploring further.

> List all decentralized exchanges available on a specific blockchain network

# Get a list of available dexes on a network.

## Endpoint overview

List decentralized exchanges available on a specific network.

<Tip>
  See also: [Networks](/api-reference/networks/get-a-list-of-available-blockchain-networks),
  [Pools by DEX](/api-reference/pools/get-top-x-pools-on-a-networks-dex)
</Tip>

### FAQs

<AccordionGroup>
  <Accordion title="What does a DEX object contain?">
    Identifier, display name, and often counts/metrics used to navigate to pools.
  </Accordion>

  <Accordion title="How do I fetch pools for one DEX?">
    Call the DEX pools endpoint with the same `network` and `dex` id.
  </Accordion>

  <Accordion title="Are DEX ids stable?">
    Yes; ids are stable across requests and are used throughout the API.
  </Accordion>
</AccordionGroup>

<script type="application/ld+json">
  {JSON.stringify({
      "@context": "https://schema.org",
      "@type": "FAQPage",
      "mainEntity": [
        {"@type": "Question","name": "What does a DEX object contain?","acceptedAnswer": {"@type": "Answer","text": "Identifier, display name, and often counts/metrics to navigate to pools."}},
        {"@type": "Question","name": "How do I fetch pools for one DEX?","acceptedAnswer": {"@type": "Answer","text": "Call the DEX pools endpoint with the same network and dex id."}},
        {"@type": "Question","name": "Are DEX ids stable?","acceptedAnswer": {"@type": "Answer","text": "Yes; ids are stable across requests and used across the API."}}
      ]
    })}
</script>


## OpenAPI

````yaml get /networks/{network}/dexes
openapi: 3.1.0
info:
  title: DexPaprika API
  version: 1.0.2
  description: >
    # Introduction
      Welcome to the DexPaprika API! This product is developed by [CoinPaprika](https://coinpaprika.com).

      Our API enables developers to query token, pool, and DEX data across multiple blockchain networks. Feel free to explore our endpoints below.

      **Important:** This API is currently in beta and **should not be used in critical solutions or features**, as the service is under active development. We reserve the right to introduce changes or break backward compatibility.

      ---
    # Getting Started

    ## Testing the API - Code Snippets

    The snippets below show how to quickly make a **GET** request. Since this is
    a **public beta** (no API key needed), you can simply call the endpoints
    directly.


    > **Note**: If you see CORS issues in a browser, you may need to call these
    endpoints from a backend server to avoid local browser restrictions.


    ### 1. cURL


    ```bash

    curl -X GET "https://api.dexpaprika.com/networks/ethereum/pools" | jq

    ```

    ### 2. Node.js (JavaScript)

    ```js

    const https = require('https');


    const options = {
      hostname: 'api.dexpaprika.com',
      path: '/networks/ethereum/pools',
      method: 'GET',
    };


    const req = https.request(options, res => {
      let data = '';
      res.on('data', chunk => { data += chunk; });
      res.on('end', () => { console.log(JSON.parse(data)); });
    });


    req.on('error', error => { console.error(error); });

    req.end();

    ```


    ### 3. Python

    ```python

    import requests


    url = "https://api.dexpaprika.com/networks/ethereum/pools"


    response = requests.get(url)

    if response.status_code == 200:
        print(response.json())
    else:
        print(f"Error: {response.status_code} -> {response.text}")
    ```

    ### 4. PHP

    ```php

    <?php

    $curl = curl_init();


    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://api.dexpaprika.com/networks/ethereum/pools",
      CURLOPT_RETURNTRANSFER => true
    ));


    $response = curl_exec($curl);


    if(curl_errno($curl)) {
      echo "Error: " . curl_error($curl);
    } else {
      echo $response;
    }


    curl_close($curl);

    ?>

    ```


    ### 5. Java

    ```java

    import java.io.*;

    import java.net.HttpURLConnection;

    import java.net.URL;


    public class DexPaprikaExample {
        public static void main(String[] args) {
            try {
                URL url = new URL("https://api.dexpaprika.com/networks/ethereum/pools");
                HttpURLConnection con = (HttpURLConnection) url.openConnection();
                con.setRequestMethod("GET");
                int responseCode = con.getResponseCode();
                try (BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()))) {
                    String inputLine;
                    StringBuilder content = new StringBuilder();
                    while ((inputLine = in.readLine()) != null) {
                        content.append(inputLine);
                    }
                    if (responseCode == 200) {
                        System.out.println(content.toString());
                    } else {
                        System.out.println("Error: " + responseCode);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    ```


    ### 6. Go

    ```go

    package main


    import (
        "fmt"
        "io/ioutil"
        "log"
        "net/http"
    )


    func main() {
        client := &http.Client{}
        req, err := http.NewRequest("GET", "https://api.dexpaprika.com/networks/ethereum/pools", nil)
        if err != nil {
            log.Fatal(err)
        }

        resp, err := client.Do(req)
        if err != nil {
            log.Fatal(err)
        }
        defer resp.Body.Close()

        body, err := ioutil.ReadAll(resp.Body)
        if err != nil {
            log.Fatal(err)
        }

        if resp.StatusCode == http.StatusOK {
            fmt.Println(string(body))
        } else {
            fmt.Printf("Error: %d -> %s\n", resp.StatusCode, body)
        }
    }

    ```


    ### 7. C#

    ```csharp

    using System;

    using System.Net.Http;

    using System.Threading.Tasks;


    class Program

    {
        static async Task Main()
        {
            using var client = new HttpClient();
            var url = "https://api.dexpaprika.com/networks/ethereum/pools";
            
            var response = await client.GetAsync(url);
            
            if (response.IsSuccessStatusCode)
            {
                var content = await response.Content.ReadAsStringAsync();
                Console.WriteLine(content);
            }
            else
            {
                Console.WriteLine($"Error: {response.StatusCode}");
            }
        }
    }

    ```


    ## Feedback & Next Steps

    1. **Test** any of the snippets above.  

    2. **Explore** our other endpoints in this documentation.   

    3. **Share** your feedback with us at
    [support@coinpaprika.com](mailto:support@coinpaprika.com).

    4. If you want implement our API into your project or simply discuss
    possible collaboration, please reach out to msroka@coinpaprika.com.

    ---
  contact:
    name: CoinPaprika Support
    email: support@coinpaprika.com
    url: https://coinpaprika.com
  license:
    name: Proprietary
    url: https://dexpaprika.com/terms
servers:
  - url: https://api.dexpaprika.com
    description: Production server
security: []
tags:
  - name: Networks
    description: Endpoints for retrieving information about supported blockchain networks
  - name: DEXes
    description: Endpoints for retrieving information about decentralized exchanges
  - name: Pools
    description: Endpoints for retrieving information about liquidity pools
  - name: Tokens
    description: Endpoints for retrieving information about tokens
  - name: Search
    description: Endpoints for searching across tokens, pools, and DEXes
  - name: Utils
    description: Utility endpoints for system metadata
paths:
  /networks/{network}/dexes:
    get:
      tags:
        - DEXes
      summary: Get a list of available dexes on a network.
      operationId: getNetworkDexes
      parameters:
        - $ref: '#/components/parameters/networkParam'
        - $ref: '#/components/parameters/pageParam'
        - $ref: '#/components/parameters/limitParam'
        - $ref: '#/components/parameters/sortParam'
        - in: query
          name: order_by
          schema:
            type: string
            enum:
              - pool
          description: How to order the returned data.
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfDexes'
        '400':
          description: The specified network is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid network.
        '404':
          description: Network not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Network not found.
components:
  parameters:
    networkParam:
      name: network
      in: path
      required: true
      schema:
        type: string
      description: >-
        Network slug or ID (e.g., 'solana'). You can find the list of supported
        networks with their IDs here: [/networks](/api-reference/networks).
      example: solana
    pageParam:
      name: page
      in: query
      schema:
        type: integer
        minimum: 0
        maximum: 1000
      description: Zero-based page index for paginated results.
    limitParam:
      name: limit
      in: query
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 100
      description: Number of items to return per page (max 100).
    sortParam:
      name: sort
      in: query
      schema:
        type: string
        enum:
          - asc
          - desc
      description: Sort order for the requested data (ascending or descending).
  schemas:
    ArrayOfDexes:
      type: object
      description: A paginated response containing a list of DEX objects.
      properties:
        dexes:
          type: array
          description: An array of decentralized exchanges.
          items:
            type: object
            properties:
              dex_name:
                type: string
                description: Human readable name of the DEX.
              dex_id:
                type: string
                description: ID for the DEX.
              chain:
                type: string
                description: The blockchain network this DEX resides on.
              protocol:
                type: string
                description: Protocol or underlying technology of the DEX.
              volume_usd_24h:
                type: number
                description: The trading volume over the last 24 hours in USD.
              txns_24h:
                type: integer
                description: The number of transactions on this DEX over the last 24 hours.
              pools_count:
                type: integer
                description: The total number of pools currently tracked for this DEX.
            example:
              dex_name: Uniswap V2
              dex_id: uniswap_v2
              chain: ethereum
              protocol: uniswapv2
              volume_usd_24h: 50000000
              txns_24h: 15000
              pools_count: 1200
        page_info:
          type: object
          description: Information about the current page in a paginated result set.
          properties:
            limit:
              type: integer
              description: Number of items returned per page.
            page:
              type: integer
              description: Current page index.
            total_items:
              type: integer
              description: Total number of items matching the query.
            total_pages:
              type: integer
              description: Total number of pages available.
      example:
        dexes:
          - id: uniswap_v2
            name: Uniswap V2
        page_info:
          limit: 100
          page: 1
          total_items: 30
          total_pages: 1

````